STOFFChart::Axis Struct Reference documentation

STOFFChart::Axis Struct Reference

`#include <STOFFChart.hxx>`

## Public Types
enum | Type { A_None , A_Numeric , A_Logarithmic , A_Sequence , A_Sequence_Skip_Empty }
| the axis content More...

## Public Member Functions
| Axis ()
| constructor
| ~Axis ()
| destructor
void | addContentTo (int coord, librevenge::RVNGPropertyList &propList) const
| add content to the propList
void | addStyleTo (librevenge::RVNGPropertyList &propList) const
| add style to the propList

## Public Attributes
Type | m_type
| the sequence type
bool | m_automaticScaling
| automatic scaling (or manual)
STOFFVec2f | m_scaling
| the minimum, maximum scaling(if manual)
bool | m_showGrid
| show or not the grid
bool | m_showLabel
| show or not the label
Position | m_labelRanges [2]
| the label range if defined
bool | m_showTitle
| show or not the title/subtitle
Position | m_titleRange
| the title cell range
librevenge::RVNGString | m_title
| the title label
librevenge::RVNGString | m_subTitle
| the subtitle label
STOFFGraphicStyle | m_style
| the graphic style

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFChart::Axis const &axis)
| operator<<

## Member Enumeration Documentation

## ◆ Type

enum STOFFChart::Axis::Type

the axis content

Enumerator
A_None |
A_Numeric |
A_Logarithmic |
A_Sequence |
A_Sequence_Skip_Empty |

## Constructor & Destructor Documentation

## ◆ Axis()

STOFFChart::Axis::Axis | ( |  | ) |

constructor

Referenced by Axis().

## ◆ ~Axis()

STOFFChart::Axis::~Axis | ( |  | ) |

destructor

## Member Function Documentation

## ◆ addContentTo()

void STOFFChart::Axis::addContentTo | ( | int | coord,
|  | librevenge::RVNGPropertyList & | propList ) const

add content to the propList

## ◆ addStyleTo()

void STOFFChart::Axis::addStyleTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add style to the propList

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFChart::Axis const & | axis )
| friend

operator<<

## Member Data Documentation

## ◆ m_automaticScaling

bool STOFFChart::Axis::m_automaticScaling

automatic scaling (or manual)

Referenced by addStyleTo(), Axis(), and operator<<.

## ◆ m_labelRanges

Position STOFFChart::Axis::m_labelRanges[2]

the label range if defined

Referenced by addContentTo(), and operator<<.

## ◆ m_scaling

STOFFVec2f STOFFChart::Axis::m_scaling

the minimum, maximum scaling(if manual)

Referenced by addStyleTo(), Axis(), and operator<<.

## ◆ m_showGrid

bool STOFFChart::Axis::m_showGrid

show or not the grid

Referenced by addContentTo(), Axis(), and operator<<.

## ◆ m_showLabel

bool STOFFChart::Axis::m_showLabel

show or not the label

Referenced by addContentTo(), addStyleTo(), Axis(), and operator<<.

## ◆ m_showTitle

bool STOFFChart::Axis::m_showTitle

show or not the title/subtitle

Referenced by addContentTo(), Axis(), and operator<<.

## ◆ m_style

STOFFGraphicStyle STOFFChart::Axis::m_style

the graphic style

Referenced by addStyleTo(), Axis(), and operator<<.

## ◆ m_subTitle

librevenge::RVNGString STOFFChart::Axis::m_subTitle

the subtitle label

Referenced by addContentTo(), Axis(), and operator<<.

## ◆ m_title

librevenge::RVNGString STOFFChart::Axis::m_title

the title label

Referenced by addContentTo(), Axis(), and operator<<.

## ◆ m_titleRange

Position STOFFChart::Axis::m_titleRange

the title cell range

Referenced by addContentTo(), Axis(), and operator<<.

## ◆ m_type

Type STOFFChart::Axis::m_type

the sequence type

Referenced by addContentTo(), addStyleTo(), Axis(), and operator<<.

The documentation for this struct was generated from the following files:

- STOFFChart.hxx
- STOFFChart.cxx